Bug 447865 - Broker does not complete some commands.
Broker does not complete some commands.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
high Severity high
: ---
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 03:19 EDT by Arnaud Simon
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 15:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
org.apache.qpid.test.unit.basic.MapMessageTest broker log (382.92 KB, text/plain)
2008-05-22 03:19 EDT, Arnaud Simon
no flags Details

  None (edit)
Description Arnaud Simon 2008-05-22 03:19:07 EDT
As a result client sync command does not succeed. 

Since: r658403

How reproducible:
For example test org.apache.qpid.test.unit.basic.MapMessageTest exhibits this
behavior i.e. the sync command following connection close times out.
Comment 1 Arnaud Simon 2008-05-22 03:19:08 EDT
Created attachment 306342 [details]
org.apache.qpid.test.unit.basic.MapMessageTest broker log
Comment 2 Alan Conway 2008-05-23 09:59:39 EDT
The real cause of this problem is twofold:
 - a race in the Java client which causes it to sometimes send a command in the
middle of another command
 - inadequate error checking on the broker for invalid frame sequences.

The broker has been updated to check for such invalid sequences, still working
on confirming the java client fix.
Comment 3 Alan Conway 2008-05-23 15:21:22 EDT
Fixed in revision 658722

Note You need to log in before you can comment on or make changes to this bug.